searchNodes=[{"doc":"","ref":"Emxc.Global.Spot.V3.html","title":"Emxc.Global.Spot.V3","type":"module"},{"doc":"Create a client for the private endpoints. Options :base_url - The base URL to be used for the client. Defaults to &quot;https://api.mexc.com&quot; . :headers - A list of headers to be sent with each request. :adapter - The adapter to be used for the client. Defaults to Tesla.Adapter.Hackney . :api_key - The API key to be used for the client. Defaults to &quot;api_key&quot; . Example iex&gt; Emxc.Global.Spot.V3 . authorized_client ( ) % Tesla.Client { fun : nil , pre : [ { Tesla.Middleware.BaseUrl , :call , [ &quot;https://api.mexc.com&quot; ] } , { Tesla.Middleware.JSON , :call , [ [ ] ] } , { Tesla.Middleware.Headers , :call , [ [ { &quot;X-MEXC-APIKEY&quot; , &quot;api_key&quot; } , { &quot;Content-Type&quot; , &quot;application/json&quot; } ] ] } ] , post : [ ] , adapter : { Tesla.Adapter.Hackney , :call , [ [ ] ] } }","ref":"Emxc.Global.Spot.V3.html#authorized_client/1","title":"Emxc.Global.Spot.V3.authorized_client/1","type":"function"},{"doc":"Current average price. Options :symbol - The symbol to get the average price for. Example iex&gt; alias Emxc.Global.Spot.V3 , as : Spot iex&gt; { :ok , response } = Spot . public_client ( ) |&gt; Spot . average_price ( symbol : &quot;BTCUSDT&quot; ) iex&gt; response . result [ &quot;price&quot; ] &gt; 0 ...&gt; &amp;&amp; Decimal . gt? ( Decimal . new ( response . result [ &quot;price&quot; ] ) , 0 ) true","ref":"Emxc.Global.Spot.V3.html#average_price/2","title":"Emxc.Global.Spot.V3.average_price/2","type":"function"},{"doc":"Compressed/Aggregate trades. Options :limit - Default 500; max 1000. :symbol - The symbol to get trades for. :startTime - Timestamp in ms to get aggregate trades from INCLUSIVE. :endTime - Timestamp in ms to get aggregate trades until INCLUSIVE. Example iex&gt; alias Emxc.Global.Spot.V3 , as : Spot iex&gt; { :ok , response } = Spot . public_client ( ) |&gt; Spot . compressed_trades ( symbol : &quot;BTCUSDT&quot; , limit : 1 ) iex&gt; response . result |&gt; length ( ) 1","ref":"Emxc.Global.Spot.V3.html#compressed_trades/2","title":"Emxc.Global.Spot.V3.compressed_trades/2","type":"function"},{"doc":"Exchange information. Options :symbol - The symbol to get the exchange information for. :symbols - A list of symbols to get the exchange information for. Example iex&gt; alias Emxc.Global.Spot.V3 , as : Spot iex&gt; { :ok , response } = Spot . public_client ( ) |&gt; Spot . exchange_info ( symbols : &quot;BTCUSDT,SNTUSDT&quot; ) iex&gt; response . result [ &quot;symbols&quot; ] |&gt; Enum . map ( &amp; &amp;1 [ &quot;symbol&quot; ] ) |&gt; Enum . sort ( ) [ &quot;BTCUSDT&quot; , &quot;SNTUSDT&quot; ]","ref":"Emxc.Global.Spot.V3.html#exchange_info/2","title":"Emxc.Global.Spot.V3.exchange_info/2","type":"function"},{"doc":"Kline/candlestick bars. Options :limit - Default 500; max 1000. :symbol - The symbol to get klines for. :interval - The interval to get klines for. One of: 1m , 5m , 15m , 30m , 60m , 4h , 1d , 1M . :startTime - The start time to get klines for. In milliseconds. :endTime - The end time to get klines for. In milliseconds. Example iex&gt; alias Emxc.Global.Spot.V3 , as : Spot iex&gt; { :ok , response } = Spot . public_client ( ) |&gt; Spot . kline ( symbol : &quot;BTCUSDT&quot; , interval : &quot;1m&quot; , limit : 1 ) iex&gt; response . result |&gt; length ( ) 1","ref":"Emxc.Global.Spot.V3.html#kline/2","title":"Emxc.Global.Spot.V3.kline/2","type":"function"},{"doc":"Order book. Options :limit - Default 100; max 1000. :symbol - The symbol to get the order book for. Example iex&gt; alias Emxc.Global.Spot.V3 , as : Spot iex&gt; { :ok , response } = Spot . public_client ( ) |&gt; Spot . order_book ( symbol : &quot;BTCUSDT&quot; , limit : 1 ) iex&gt; response . result [ &quot;bids&quot; ] |&gt; length ( ) |&gt; then ( &amp; &amp;1 == response . result [ &quot;asks&quot; ] |&gt; length ( ) ) true","ref":"Emxc.Global.Spot.V3.html#order_book/2","title":"Emxc.Global.Spot.V3.order_book/2","type":"function"},{"doc":"Test connectivity to the Rest API. Example iex&gt; alias Emxc.Global.Spot.V3 , as : Spot iex&gt; { :ok , response } = Spot . public_client ( ) |&gt; Spot . ping ( ) iex&gt; response . status 200","ref":"Emxc.Global.Spot.V3.html#ping/1","title":"Emxc.Global.Spot.V3.ping/1","type":"function"},{"doc":"Create a client for the public endpoints. Options :base_url - The base URL to be used for the client. Defaults to &quot;https://api.mexc.com&quot; . :headers - A list of headers to be sent with each request. :adapter - The adapter to be used for the client. Defaults to Tesla.Adapter.Hackney . Example iex&gt; Emxc.Global.Spot.V3 . public_client ( ) % Tesla.Client { fun : nil , pre : [ { Tesla.Middleware.BaseUrl , :call , [ &quot;https://api.mexc.com&quot; ] } , { Tesla.Middleware.JSON , :call , [ [ ] ] } , { Tesla.Middleware.Headers , :call , [ [ { &quot;Content-Type&quot; , &quot;application/json&quot; } ] ] } ] , post : [ ] , adapter : { Tesla.Adapter.Hackney , :call , [ [ ] ] } }","ref":"Emxc.Global.Spot.V3.html#public_client/1","title":"Emxc.Global.Spot.V3.public_client/1","type":"function"},{"doc":"Recent trades. Options :limit - Default 500; max 1000. :symbol - The symbol to get trades for. Example iex&gt; alias Emxc.Global.Spot.V3 , as : Spot iex&gt; { :ok , response } = Spot . public_client ( ) |&gt; Spot . recent_trades ( symbol : &quot;BTCUSDT&quot; , limit : 1 ) iex&gt; response . result |&gt; length ( ) 1","ref":"Emxc.Global.Spot.V3.html#recent_trades/2","title":"Emxc.Global.Spot.V3.recent_trades/2","type":"function"},{"doc":"24hr ticker price change statistics. Options :symbol - The symbol to get the ticker for. If no symbol is provided, all tickers will be returned in a list. Example iex&gt; alias Emxc.Global.Spot.V3 , as : Spot iex&gt; { :ok , response } = Spot . public_client ( ) |&gt; Spot . ticker_24hr ( symbol : &quot;BTCUSDT&quot; ) iex&gt; response . result [ &quot;symbol&quot; ] &quot;BTCUSDT&quot;","ref":"Emxc.Global.Spot.V3.html#ticker_24hr/2","title":"Emxc.Global.Spot.V3.ticker_24hr/2","type":"function"},{"doc":"Symbol order book ticker. Options :symbol - The symbol to get the ticker for. If no symbol is provided, all tickers will be returned in a list. Example iex&gt; alias Emxc.Global.Spot.V3 , as : Spot iex&gt; { :ok , response } = Spot . public_client ( ) |&gt; Spot . ticker_book ( symbol : &quot;BTCUSDT&quot; ) iex&gt; response . result [ &quot;symbol&quot; ] == &quot;BTCUSDT&quot; &amp;&amp; response . result [ &quot;bidPrice&quot; ] &gt; 0 true","ref":"Emxc.Global.Spot.V3.html#ticker_book/2","title":"Emxc.Global.Spot.V3.ticker_book/2","type":"function"},{"doc":"Symbol price ticker. Options :symbol - The symbol to get the ticker for. If no symbol is provided, all tickers will be returned in a list. Example iex&gt; alias Emxc.Global.Spot.V3 , as : Spot iex&gt; { :ok , response } = Spot . public_client ( ) |&gt; Spot . ticker_price ( symbol : &quot;BTCUSDT&quot; ) iex&gt; response . result [ &quot;symbol&quot; ] == &quot;BTCUSDT&quot; &amp;&amp; response . result [ &quot;price&quot; ] &gt; 0 true","ref":"Emxc.Global.Spot.V3.html#ticker_price/2","title":"Emxc.Global.Spot.V3.ticker_price/2","type":"function"},{"doc":"Check server time. Example iex&gt; alias Emxc.Global.Spot.V3 , as : Spot iex&gt; { :ok , response } = Spot . public_client ( ) |&gt; Spot . time ( ) iex&gt; response . result [ &quot;serverTime&quot; ] &lt;= :calendar . universal_time ( ) true","ref":"Emxc.Global.Spot.V3.html#time/1","title":"Emxc.Global.Spot.V3.time/1","type":"function"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:authorized_option/0","title":"Emxc.Global.Spot.V3.authorized_option/0","type":"type"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:average_price_option/0","title":"Emxc.Global.Spot.V3.average_price_option/0","type":"type"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:client/0","title":"Emxc.Global.Spot.V3.client/0","type":"type"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:compressed_trades_option/0","title":"Emxc.Global.Spot.V3.compressed_trades_option/0","type":"type"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:exchange_info_option/0","title":"Emxc.Global.Spot.V3.exchange_info_option/0","type":"type"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:headers/0","title":"Emxc.Global.Spot.V3.headers/0","type":"type"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:kline_option/0","title":"Emxc.Global.Spot.V3.kline_option/0","type":"type"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:order_book_option/0","title":"Emxc.Global.Spot.V3.order_book_option/0","type":"type"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:public_option/0","title":"Emxc.Global.Spot.V3.public_option/0","type":"type"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:recent_trades_option/0","title":"Emxc.Global.Spot.V3.recent_trades_option/0","type":"type"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:response/0","title":"Emxc.Global.Spot.V3.response/0","type":"type"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:ticker_24hr_option/0","title":"Emxc.Global.Spot.V3.ticker_24hr_option/0","type":"type"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:ticker_book_option/0","title":"Emxc.Global.Spot.V3.ticker_book_option/0","type":"type"},{"doc":"","ref":"Emxc.Global.Spot.V3.html#t:ticker_price_option/0","title":"Emxc.Global.Spot.V3.ticker_price_option/0","type":"type"},{"doc":"","ref":"Emxc.Utilities.html","title":"Emxc.Utilities","type":"module"},{"doc":"Unwraps a Tesla response into a tuple of {:ok, map()} or {:error, any()} .","ref":"Emxc.Utilities.html#unwrap_response/1","title":"Emxc.Utilities.unwrap_response/1","type":"function"}]